Ginkgo: gko::log::ProfilerHook::TableSummaryWriter Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::log::ProfilerHook::TableSummaryWriter Class Reference

Writes the results from ProfilerHook::create_summary() and ProfilerHook::create_nested_summary() to a ASCII table in Markdown format. More...

`#include <ginkgo/core/log/profiler_hook.hpp>`

Inheritance diagram for gko::log::ProfilerHook::TableSummaryWriter:
[legend]
Collaboration diagram for gko::log::ProfilerHook::TableSummaryWriter:
[legend]

## Public Member Functions
| TableSummaryWriter (std::ostream &output=std::cerr, std::string header="Runtime summary")
| Constructs a writer on an output stream.
void | write (const std::vector< summary_entry > &entries, std::chrono::nanoseconds overhead) override
| Callback to write out the summary results.
void | write_nested (const nested_summary_entry &root, std::chrono::nanoseconds overhead) override
| Callback to write out the summary results.

## Detailed Description

Writes the results from ProfilerHook::create_summary() and ProfilerHook::create_nested_summary() to a ASCII table in Markdown format.

## Constructor & Destructor Documentation

## ◆ TableSummaryWriter()

gko::log::ProfilerHook::TableSummaryWriter::TableSummaryWriter | ( | std::ostream & | output = std::cerr,
|  | std::string | header = "Runtime summary" )

Constructs a writer on an output stream.

Parameters

  output | the output stream to write the table to.
  header | the header to write above the table.

## Member Function Documentation

## ◆ write()

void gko::log::ProfilerHook::TableSummaryWriter::write | ( | const std::vector< summary_entry > & | entries,
|  | std::chrono::nanoseconds | overhead )
| overridevirtual

Callback to write out the summary results.

Parameters

  entries | the vector of ranges with runtime and count.
  overhead | an estimate of the profiler overhead

Implements gko::log::ProfilerHook::SummaryWriter.

## ◆ write_nested()

void gko::log::ProfilerHook::TableSummaryWriter::write_nested | ( | const nested_summary_entry & | root,
|  | std::chrono::nanoseconds | overhead )
| overridevirtual

Callback to write out the summary results.

Parameters

  root | the root range with runtime and count.
  overhead | an estimate of the profiler overhead

Implements gko::log::ProfilerHook::NestedSummaryWriter.

The documentation for this class was generated from the following file:

- ginkgo/core/log/profiler_hook.hpp